/* Real-Time Electrocardiogram Monitoring
   Acquisition Daemon
   helper.c - Helper function(s)
   Calvin Walden
   2017-04-16
*/

#ifndef HELPER_H
#define HELPER_H

#define HIBYTE(word) ((word >> 8) & 0xFF)
#define LOBYTE(word) (word & 0xFF)



/* helperTranslateIndexValue():
   Given a buffer containing indicies, help expand it into a binary stream,
   with a '1' for indicies present in the list (buffer) or a '0' otherwise. */
uint16_t helperTranslateIndexValue(int working_index, uint16_t* buffer,
				   uint16_t buffer_len);



#endif /* HELPER_H */

