#include <syslog.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <signal.h>
#include <stdlib.h>

#include "signal.h"

int sendSIGUSR1()
{
    char msg_buffer[200];
    char pipe_buffer[10];
    pid_t comm_pid;
    FILE* fd;

    /* Get the PID of rtecg_comm by opening a pipe and running `pidof` */
    fd = popen("pidof rtecg_comm", "r");
    if (fd == NULL) {
        return 0;
    }

    fgets(pipe_buffer, 10, fd);
    comm_pid = strtoul(pipe_buffer, NULL, 10);

    pclose(fd);

    /* Send the signal, SIGUSR1, to send an urgent email. */
    kill(comm_pid, SIGUSR1);

    return 1;
}