<!DOCTYPE html>
<html>
	<head>
		<title>Real-time ECG Monitor</title>
		<link rel='shortcut icon' href='img/favicon.ico' type='image/x-icon'/ >
		<link rel="stylesheet" href="style.css">
		<meta name="theme-color" content="#A50000">
		<meta name="apple-mobile-web-app-status-bar-style" content="#A50000">
		<?php
			exec('mkfifo /tmp/lcdpipe');
		?>
	</head>
	<body>
		<div>
			<img src="img/logo.png" style="float:right;"/>
			<h1>Real-time ECG Monitor</h1>
		</div>
		<br>
		<div>
			<center>
				<h2>Current Information</h2>
				<table>
					<tr>
						<td>
							<h3>Patient:</h3>
							<h3>ID:</h3>
							<!--<h3>Current BPM:</h3>-->
						</td><td>
				<?php
					$file_content = file_get_contents('/etc/rtecg/rtecg.cfg');
					$pos = strpos($file_content , 'patient_name')+16;
					//$end_pos = strpos($file_content , '";patient_id');
					//$len = $end_pos - $pos;
					$name = substr($file_content, $pos, 13);
					echo '<h3>'.$name.'</h3>';
					
					$pos = strpos($file_content , 'patient_id')+13;
					//$end_pos = strpos($file_content , ';patient_email');
					//$len = $end_pos - $pos;
					$id = substr($file_content, $pos, 8);
					echo '<h3>'.$id.'</h3>';
					//echo '<h3>---&hearts;</h3>';
					echo '</td></tr></table><hr><h2>User Configuration</h3>';
				
					//$efile_content = file_get_contents('/etc/rtecg/rtecg.cfg');
					
					$epos = strpos($file_content , 'patient_email')+15;
					//$end_epos = strpos($file_content , '";physician_email');
					//$elen = $end_epos - $epos;
					$uemail = substr($file_content, $epos, 23);
					
					echo '<form method="post" enctype="multipart/form-data">User Email: <input type="text" name="uemail" value="'.$uemail.'">';
					
					$ppos = strpos($file_content , 'physician_email')+19;
					//$end_ppos = strpos($file_content , '";/* Software');
					//$elen = $end_epos - $epos;
					$pemail = substr($file_content, $ppos, 24);
					
					echo '<br><br>Physician Email: <input type="text" name="pemail" value="'.$pemail.'"><br><br><input id="submit" type="submit" name="userSubmit" value="Update">';
				?>
				<hr>
				<h2>Device Configuration</h2>
				<table>
				<tr>
				<td>
					Device:<br>
					ID:
				</td><td>
				<?php
					$dfile_content = file_get_contents('/etc/rtecg/rtecg.cfg');
					$dpos = strpos($file_content , 'device_name')+15;
					$dname = substr($file_content, $dpos, 17);
					echo ''.$dname.'<br>';
					
					$dpos = strpos($file_content , 'device_id')+12;
					$did = substr($file_content, $dpos, 3);
					echo ''.$did;
					echo '</td></tr></table><br>';
				?>
				
				<!--<form method="post" enctype="multipart/form-data" action="color.php">
					LCD Color: 
					<select name="color">
						<option selected value="0">Black</option>
						<option value="1">Red</option>
						<option value="2">Yellow</option>
						<option value="3">Green</option>
						<option value="4">Cyan</option>
						<option value="5">Blue</option>
						<option value="6">Magenta</option>
						<option value="7">White</option>
					</select> 
					<input id="submit" type="submit" name="colorSubmit" value="Change">
				</form>
				<br>-->
				
				<form method="post" enctype="multipart/form-data">
					Select config file to upload: 
					<input id='fileUp' type="file" name="config" style="">
					<br><br>
					<input id="submit" type="submit" value="Upload">
				</form>
				<br><br>
			
			<?php
			
				if(isset($_FILES['config'])){
				  $errors = array();
				  //$file_name = $_FILES['image']['name'];
				  $file_name = 'rtecg';
				  $file_size = $_FILES['config']['size'];
				  $file_tmp = $_FILES['config']['tmp_name'];
				  $file_type = $_FILES['config']['type'];
				  $file_ext = strtolower(end(explode('.',$_FILES['config']['name'])));
				  $file_name .= '.'.$file_ext;

				  $expensions= array("cfg", "txt");

				  if(in_array($file_ext,$expensions)=== false){
					 //$errors[]="extension not allowed, please choose a .cfg or .txt file.";
				  }
				  
				  if(empty($errors)==true){
					$upload_path = "/etc/rtecg/";
					$upload_image = $upload_path.$file_name;
					unlink($upload_path.$file_name);
					move_uploaded_file($file_tmp,$upload_image);
					 //echo "Successfully uploaded ".$file_name;
				  }else{
					 print_r($errors);
				  }
				
				
				echo "Successfully Uploaded Config File!";
				  
			   }
			?>
				
				
				<br>
				Device Power: 
				<form method="post" enctype="multipart/form-data" action="reboot.php">
					<input id="submit" type="submit" name="rebootSubmit" value="Reboot">
				</form>
				<form method="post" enctype="multipart/form-data" action="shutdown.php">
					<input id="submit" type="submit" name="powerSubmit" value="Turn Off">
				</form>
				
				<hr>
				<h2>Network Information</h2>
				<table>
				<tr><td>
				IP Address:<br>
				Gateway:<br>
				Subnet:
				</td><td>
				<?php echo $_SERVER['SERVER_ADDR']; ?><br>
				192.168.1.0<br>
				255.255.255.0
				</td></tr>
				</table>
				
				<hr>
				<h2>Recent Logs</h2>
				<?php
					$dirname = "/var/rtecg/logs/";
					$logs = array_reverse(glob($dirname."*.*"));
					if(count($logs) > 5)
						$images = array_slice($logs,0,5);
					elseif(count($logs) == 0)
						echo "No Logs Exist";
					foreach($logs as $log) {
						echo "<a href='".$log."' download>".$log."</a><br><br>";
					}
					
				?>
				
				<br><br>
				<hr>
				<h2>Recent Plots</h2>
				<?php
					$dirname = "/var/rtecg/plots/";
					$plots = array_reverse(glob($dirname."*.*"));
					if(count($plots) > 5)
						$images = array_slice($plots,0,5);
					elseif(count($plots) == 0)
						echo "No Plots Exist";
					foreach($plots as $plot) {
						echo "<a href='".$plot."' download>".$plot."</a><br><br>";
					}
				?>
				
				<br><br>
				<hr><br>
				<a href="http://ee.bradley.edu/projects/proj2017/rtecg/">Project Site</a> | <a href="http://www.bradley.edu">Bradley Site</a>
				<br><br>
			</center>
		</div>
		<footer>
			Copyright &copy; <?php echo date('Y');?> Clark, Sandor, and Walden
		</footer>
	</body>
</html>
