/*
 * ecg.h
 *
 *  Created on: Jan 31, 2017
 *      Author: edward
 */

#ifndef SRC_ECG_H_
#define SRC_ECG_H_

//#include <evm5515.h>
#include <csl_general.h>
#include <csl_sar.h>
#include "ecg.h"

#define SAMP_FREQ	360

extern Uint8 acquisition_mode;
extern CSL_Status status;

//Function: shut_down
//shutdown DSP
void shut_down(void);

///////////////////////////////
//Acquisition Mode
#define ECG_ACQUIRE_NONE			0
#define ECG_ACQUIRE_SENSOR			1
#define ECG_ACQUIRE_BENCHMARK_DATA	2

///////////////////////////////
//Error Handling
#define ECG_SUCCESS			0
#define ECG_ERROR			1000
#define ECG_SAR_READ_FAILED 100
void handle_error(Uint16 code);

#endif /* SRC_ECG_H_ */
