/*
 * ecg_gpio.h
 *
 *  Created on: Jan 31, 2017
 *      Author: edward
 */

#ifndef INC_ECG_GPIO_H_
#define INC_ECG_GPIO_H_

#include <csl_gpio.h>

extern GPIO_Handle	hGPIO;

/*Function: initialize_gpio
 *Initializes GPIO pins and sets to initial values
 *Return 'true' if successful
 */
Bool initialize_gpio(void);

/*Function: display_int_led
 * Displays a 4-bit number on the 4 on-board LEDs
 * Input number: 4-bit number to be displayed
 * Return True if successful
 */
Bool display_int_led(Uint16 number);

#endif /* INC_ECG_GPIO_H_ */
