/* Real-Time Electrocardiogram Monitoring
   Acquisition Daemon
   helper.c - Helper function(s)
   Calvin Walden
   2017-04-16
*/

#include <stdint.h>

#include "helper.h"

/* helperTranslateIndexValue():
   Given a buffer containing indicies, help expand it into a binary stream,
   with a '1' for indicies present in the list (buffer) or a '0' otherwise. */
uint16_t helperTranslateIndexValue(int working_index, uint16_t* buffer,
				   uint16_t buffer_len)
{
    int i;

    /* Go through each value in the buffer of indices */
    for (i=0; i<buffer_len; i++) {
	if (buffer[i] == working_index) {
	    return 1;
	}
    }

    return 0;
}

