#!/bin/bash
# Real-Time Electrocardiogram Monitoring
# Communication Daemon
# install_cron.sh - Add an entry to crontab to trigger periodic ECG reports
# Calvin Walden
# 2017-03-20


echo "Removing current crontab entry, if any"
(crontab -l | grep -v "/bin/kill -SIGUSR1 $(pidof rtecg_comm)") | crontab -

echo "Install new crontabf entry, set for every 15 minutes"
(crontab -l 2>/dev/null; echo "*/15 * * * * /bin/kill -SIGUSR1 \$(pidof rtecg_comm)") | crontab -
